%% Fachpraktikum - Inverted Pendulum
%% parameters for SelfErectingPendulum

%% physical parameters
Mp = 0.104;         %   [kg]    pendulum mass 
Mc = 1.79;          %   [kg]    cart mass
lp = 0.1524;        %   [m]     pendulum length from pivot to center of gravity
Lp = 2*lp;          %           full pendulum length
g  = 9.81;          %   [m/s^2] gravitational acceleration
b  = 0.001;         %   [Ns/m]  friction coefficient
n  = 1;             %   []      motor efficiency
Kt = 0.07;          %   [Nm/A]  motor torque constant
r  = 6.35e-3;       %   [m]     motor pinion radius
r_mp = r;           %           for simulation
IMAX_UPM = 10;      %   [A]     maximum current
Ip = Mp * Lp^2 / 12; %          Pendulum Moment of Inertia
Bp = 0.0024;        %   [Nms/rad] Equivalent Viscous Damping Coefficient 
Jm = 1.64e-5;       %   [Nm/A]  Motor Torque Constant 
Eff_m = 1;      
Beq = 0;            %   [Ns/m]  Equivalent Viscous Damping Coefficient 

%% state space matrices for position (reduced model)
A_ss_red = ...
B_ss_red = ...

%% stabilizing position control parameters
K_red = ...

% cart
Kp = K_red(1);
Kd = K_red(2);

%% destabilizing pendulum control parameters
% pendulum
P = ...
D = ...

%% (switched) pendulum stabilizing control parameters
% calculation of K (LQR) for 
stabilizing_control

% tuning of K
K(4) = ...

%% simulation parameters
% maximum position (cart may not exceed +-10cm
x1_max = 100*1e-3;

% stabilising control between =- phi_stab [deg];
phi_stab = ...

% starting position
X0 = [0 3 0 0];
